/*
 * Copyright Contributors to the fusa-gcc-plugin project
 *
 * SPDX-License-Identifier: LGPL-2.1-or-later
 */
#pragma once

#include <unordered_set>

using namespace std;

namespace distribution {
static unordered_set<string> rh_keys = {
    "999f7cbf38ab71f4", // via Fedora 36 gpg-pubkey-38ab71f4-60242b08
    "75cf5ac418b8e74c", // via Fedora 39 gpg-pubkey-18b8e74c-62f2920f
    "199e2f91fd431d51", // RHEL Keys
    "5326810137017186", "938a80caf21541eb",
    "fd372689897da07a", "45689c882fa658e0",
    "24c6a8a7f4a80eb5", // CentOS Keys
    "05b555b38483c65d", "4eb84e71f2ee9d55"};

static const string rpm_key_needle = "Key ID ";

vector<string> get_sigkeys_per_package(string package);
bool is_distribution_file(const char *path);
}; // namespace distribution
